Bug 46454 - need to escape C# keywords in some parameter reference
Summary: need to escape C# keywords in some parameter reference
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: Bindings (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Atsushi Eno
URL:
Depends on:
Blocks:
 
Reported: 2016-11-04 05:58 UTC by Atsushi Eno
Modified: 2016-11-07 06:54 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Atsushi Eno 2016-11-04 05:58:00 UTC
While I was trying to bind javacpp project I noticed that it needs to escape "partial" keyword in some parameter references. Namely, this metadata fixup shouldn't be required:
https://github.com/atsushieno/xamarin-javacpp-binding/blob/master/Xamarin.JavaCpp/Transforms/Metadata.xml

Repro: use this project ^

This should be irrelevant to class-parse/jar2xml difference.

Also, not a CodeDom issue:

    csharp> using Microsoft.CSharp;
    csharp> var p = new CSharpCodeProvider ();
    csharp> p.IsValidIdentifier ("partial");
    false
Comment 1 Atsushi Eno 2016-11-04 17:52:28 UTC
https://github.com/xamarin/java.interop/pull/99
Comment 2 Atsushi Eno 2016-11-07 06:54:19 UTC
The PR was merged for cycle10.